CURSES_STANDOUT(3)

NAME
curses_standout, standout, standend, wstandout, wstandend - curses standout attribute manipulation routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
int
standout(void);
int
standend(void);
int
wstandout(WINDOW *win);
int
wstandend(WINDOW *win);

DESCRIPTION
These functions manipulate the standout attribute on stdscr or on the specified window.

The standout() function turns on the standout attribute on stdscr. The standend() function turns off all attributes on stdscr.

The wstandout() and wstandend() functions are equivalent to standout() and standend(), respectively, excepting that the attribute is manipulated on the window specified by win.

The standout() and standend() functions are equivalent to attron(A_STANDOUT) and attroff(A_STANDOUT), respectively.

RETURN VALUES
These functions always return 1.

SEE ALSO
curses_attributes(3), curses_underscore(3)

STANDARDS
The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
The Curses package appeared in 4.0BSD.

BUGS
On modern terminals that support other attributes, there is no difference between characters displayed with the standout attribute set and those displayed with one of the other attributes set (usually bold). It is best to avoid using standout if the terminal supports other attributes.